Subject: Re: renaming of package p5-Net-SSH
To: Klaus Heinz <>
From: David Brownlee <>
List: tech-pkg
Date: 06/08/2007 19:51:00
On Fri, 8 Jun 2007, Klaus Heinz wrote:

> Hi,
> I would like to rename p5-Net-SSH (Perl module Net::SSH::Perl, DISTNAME
> is Net-SSH-Perl-1.29) to p5-Net-SSH-Perl. Naturally, there should be a
> definition of CONFLICTS with the former name but I find it difficult to
> do that.
> The existing p5-Net-SSH will be updated to 1.30, the new package
> p5-Net-SSH-Perl would then conflict with p5-Net-SSH <1.30.
> _But_, the Perl module Net::SSH would get the name p5-Net-SSH in pkgsrc
> and its version is 0.08 today. The conflict "p5-Net-SSH <1.30" in package
> p5-Net-SSH-Perl would be all right for the former name of module
> Net::SSH::Perl but not for Net::SSH.

 	Since security/p5-Net-SSH has only ever been v1.29 you could
 	add a conflict with that version only

 		David/absolute       -- No hype required --